/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */


import { HTMLStencilElement, JSXBase } from '@stencil/core/internal';
import {
  ApiHelper,
} from './helpers/apiHelper';

export namespace Components {
  interface AppHomePage {}
  interface AppItineraryHeader {}
  interface AppItineraryPage {}
  interface AppRoot {
    'ApiHelper': ApiHelper;
  }
  interface AppTest {}
  interface AppVisitDailyPage {
    'collegeId': number;
  }
  interface AppVisitEventsPage {
    'collegeId': number;
  }
  interface AppVisitModal {
    'collegeId': number;
    'visitId': number;
  }
  interface AppVisitSurvey {
    'surveyId': number;
  }
  interface AppVisitTabs {
    'collegeId': number;
  }
  interface AppVisitTravelPage {
    'collegeId': number;
  }
}

declare global {


  interface HTMLAppHomePageElement extends Components.AppHomePage, HTMLStencilElement {}
  var HTMLAppHomePageElement: {
    prototype: HTMLAppHomePageElement;
    new (): HTMLAppHomePageElement;
  };

  interface HTMLAppItineraryHeaderElement extends Components.AppItineraryHeader, HTMLStencilElement {}
  var HTMLAppItineraryHeaderElement: {
    prototype: HTMLAppItineraryHeaderElement;
    new (): HTMLAppItineraryHeaderElement;
  };

  interface HTMLAppItineraryPageElement extends Components.AppItineraryPage, HTMLStencilElement {}
  var HTMLAppItineraryPageElement: {
    prototype: HTMLAppItineraryPageElement;
    new (): HTMLAppItineraryPageElement;
  };

  interface HTMLAppRootElement extends Components.AppRoot, HTMLStencilElement {}
  var HTMLAppRootElement: {
    prototype: HTMLAppRootElement;
    new (): HTMLAppRootElement;
  };

  interface HTMLAppTestElement extends Components.AppTest, HTMLStencilElement {}
  var HTMLAppTestElement: {
    prototype: HTMLAppTestElement;
    new (): HTMLAppTestElement;
  };

  interface HTMLAppVisitDailyPageElement extends Components.AppVisitDailyPage, HTMLStencilElement {}
  var HTMLAppVisitDailyPageElement: {
    prototype: HTMLAppVisitDailyPageElement;
    new (): HTMLAppVisitDailyPageElement;
  };

  interface HTMLAppVisitEventsPageElement extends Components.AppVisitEventsPage, HTMLStencilElement {}
  var HTMLAppVisitEventsPageElement: {
    prototype: HTMLAppVisitEventsPageElement;
    new (): HTMLAppVisitEventsPageElement;
  };

  interface HTMLAppVisitModalElement extends Components.AppVisitModal, HTMLStencilElement {}
  var HTMLAppVisitModalElement: {
    prototype: HTMLAppVisitModalElement;
    new (): HTMLAppVisitModalElement;
  };

  interface HTMLAppVisitSurveyElement extends Components.AppVisitSurvey, HTMLStencilElement {}
  var HTMLAppVisitSurveyElement: {
    prototype: HTMLAppVisitSurveyElement;
    new (): HTMLAppVisitSurveyElement;
  };

  interface HTMLAppVisitTabsElement extends Components.AppVisitTabs, HTMLStencilElement {}
  var HTMLAppVisitTabsElement: {
    prototype: HTMLAppVisitTabsElement;
    new (): HTMLAppVisitTabsElement;
  };

  interface HTMLAppVisitTravelPageElement extends Components.AppVisitTravelPage, HTMLStencilElement {}
  var HTMLAppVisitTravelPageElement: {
    prototype: HTMLAppVisitTravelPageElement;
    new (): HTMLAppVisitTravelPageElement;
  };
  interface HTMLElementTagNameMap {
    'app-home-page': HTMLAppHomePageElement;
    'app-itinerary-header': HTMLAppItineraryHeaderElement;
    'app-itinerary-page': HTMLAppItineraryPageElement;
    'app-root': HTMLAppRootElement;
    'app-test': HTMLAppTestElement;
    'app-visit-daily-page': HTMLAppVisitDailyPageElement;
    'app-visit-events-page': HTMLAppVisitEventsPageElement;
    'app-visit-modal': HTMLAppVisitModalElement;
    'app-visit-survey': HTMLAppVisitSurveyElement;
    'app-visit-tabs': HTMLAppVisitTabsElement;
    'app-visit-travel-page': HTMLAppVisitTravelPageElement;
  }
}

declare namespace LocalJSX {
  interface AppHomePage extends JSXBase.HTMLAttributes<HTMLAppHomePageElement> {}
  interface AppItineraryHeader extends JSXBase.HTMLAttributes<HTMLAppItineraryHeaderElement> {}
  interface AppItineraryPage extends JSXBase.HTMLAttributes<HTMLAppItineraryPageElement> {}
  interface AppRoot extends JSXBase.HTMLAttributes<HTMLAppRootElement> {
    'ApiHelper'?: ApiHelper;
  }
  interface AppTest extends JSXBase.HTMLAttributes<HTMLAppTestElement> {}
  interface AppVisitDailyPage extends JSXBase.HTMLAttributes<HTMLAppVisitDailyPageElement> {
    'collegeId'?: number;
  }
  interface AppVisitEventsPage extends JSXBase.HTMLAttributes<HTMLAppVisitEventsPageElement> {
    'collegeId'?: number;
  }
  interface AppVisitModal extends JSXBase.HTMLAttributes<HTMLAppVisitModalElement> {
    'collegeId'?: number;
    'visitId'?: number;
  }
  interface AppVisitSurvey extends JSXBase.HTMLAttributes<HTMLAppVisitSurveyElement> {
    'surveyId'?: number;
  }
  interface AppVisitTabs extends JSXBase.HTMLAttributes<HTMLAppVisitTabsElement> {
    'collegeId'?: number;
  }
  interface AppVisitTravelPage extends JSXBase.HTMLAttributes<HTMLAppVisitTravelPageElement> {
    'collegeId'?: number;
  }

  interface IntrinsicElements {
    'app-home-page': AppHomePage;
    'app-itinerary-header': AppItineraryHeader;
    'app-itinerary-page': AppItineraryPage;
    'app-root': AppRoot;
    'app-test': AppTest;
    'app-visit-daily-page': AppVisitDailyPage;
    'app-visit-events-page': AppVisitEventsPage;
    'app-visit-modal': AppVisitModal;
    'app-visit-survey': AppVisitSurvey;
    'app-visit-tabs': AppVisitTabs;
    'app-visit-travel-page': AppVisitTravelPage;
  }
}

export { LocalJSX as JSX };


declare module "@stencil/core" {
  export namespace JSX {
    interface IntrinsicElements extends LocalJSX.IntrinsicElements {}
  }
}


